{===============================================================================
  CSDecodeTextForm Unit

  CodeSite - Viewer Plug-In Unit


  Components/Classes
  ------------------------------------------------------------------------------
  TfrmDecodeText
    Form that simply contains a memo control to show the Decoded text of
    the selected csmEncodedText message.


  Modification History
  ------------------------------------------------------------------------------
  5.1    (04 Jan 2024)
    * Initial Release.


  Copyright  1998-2024 by Raize Software, Inc. All Rights Reserved.
===============================================================================}

unit CSDecodeTextForm;

interface

uses
  CodeSiteCustomPlugIns,
  Winapi.Windows,
  Winapi.Messages,
  System.SysUtils,
  System.Classes,
  Vcl.Graphics,
  Vcl.Controls,
  Vcl.Forms,
  Vcl.Dialogs,
  Vcl.StdCtrls,
  Vcl.Grids,
  Vcl.ExtCtrls;

type
  TfrmDecodeText = class( TForm,
                          ICodeSiteInspector,
                          ICodeSiteCopyInspectorContents )
    edtContents: TMemo;
  private
  public
    // ICodeSiteInspector
    procedure Inspect;

    // ICodeSiteCopyInspectorContents
    procedure CopyToClipboard;
  end;


implementation

{$R *.dfm}

uses
  System.NetEncoding,
  Vcl.Clipbrd,
  CodeSiteMessageSet;


procedure TfrmDecodeText.Inspect;
var
  Base64: TBase64Encoding;
begin
  Base64 := TBase64Encoding.Create( 0 );
  edtContents.Text := Base64.Decode( MessageSet.Details );
end;


procedure TfrmDecodeText.CopyToClipboard;
begin
  Clipboard.AsText := edtContents.Text;
end;


end.
